<?php

	/*
	 * Addon TvsGB
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: index.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$rexversion		= $REX['VERSION'] . $REX['SUBVERSION'];
	$art_table		= $table_pre . "_entries";
	$thispage		= "tvsgb";
	$thissubpage	= "entries";
	$myIniFile		= $REX['INCLUDE_PATH'] . "/addons/" . $thispage . "/" . $thispage . ".ini";
	$baseURL = 'index.php?page='.$thispage.'&amp;subpage='.$thissubpage;

	if ($func == "delete")
	{
		$sql = new rex_sql();
		$sql->setQuery("DELETE FROM " . $art_table . " WHERE id = " . rex_get('id', 'int', 0));		
		echo rex_info("Eintrag gelöscht!");
	}
	else if ($func == "status")
	{
		$sql = new rex_sql();
		$sql->setQuery("UPDATE " . $art_table . " SET status = NOT status WHERE id = " . rex_get('id', 'int', 0));		
	}

?>

<div class="rex-addon-output-v2">
	<form action="<?php echo $baseURL; ?>" method="post">
	<table class="rex-table" id="rex-articles">
		<caption>Liste der Einträge</caption>
		<colgroup>
			<col width="30" />
			<col width="150" />
			<col width="150" />
			<col width="*" />
			<col width="150" />
			<col width="60" />
			<col width="60" />
		</colgroup>
		<thead>
			<tr>
				<th>ID</th>
				<th>Name</th>
				<th>E-Mail</th>
				<th>Eintrag</th>
				<th>Datum</th>
				<th>Funktion</th>
				<th>Status</th>
			</tr>
		</thead>
		<tbody>
<?php

	$sql = new rex_sql();
	$sql->setQuery("SELECT * FROM " . $art_table . " ORDER BY id DESC");

	if ($sql->getRows() > 0 )
	{
		for ($i = 1; $i <= $sql->getRows(); $i++) {
?>
			<tr>
				<td><?php echo $sql->getValue('id'); ?></td>
				<td><?php echo utf8_decode($sql->getValue('create_user')); ?></td>
				<td><?php echo utf8_decode($sql->getValue('email')); ?></td>
				<td><?php echo substr($sql->getValue('description'), 0, 50); ?>...</td>
				<td><?php echo date("d.m.Y H:i:s", $sql->getValue('create_date')); ?></td>
				<td><a href="<?php echo $baseURL; ?>&amp;func=delete&amp;id=<?php echo $sql->getValue('id'); ?>" onclick="return confirm('Sicher löschen?');">löschen</a></td>
<?php
				$status_description = ($sql->getValue('status') == 1) ? 'online' : 'offline';
				$status_classname = ($sql->getValue('status') == 1) ? 'rex-online' : 'rex-offline';
?>
				<td><a class="<?php echo $status_classname; ?>" href="<?php echo $baseURL; ?>&amp;func=status&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo $status_description; ?></a></td>
			</tr>
<?php
			$sql->next();
		}
	}
	else
	{
		echo "<tr><td colspan=\"8\" align=\"center\">";
		echo "	<p>Es sind noch keine Einträge vorhanden.</p>";
		echo "</td></tr>";
	}
?>
		</tbody>
	</table>
	</form>
</div>
